EDIT - feature request #8180

Add property term "Presence/Absence" to CDM default terms
03/15/2019 09:21 AM - Patrick Plitzner

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.9

Severity: normal

Description

When describing a specimen via Characters (almost) all structures may or may not exist. To be able to describe if a structure is
missing we can create a Character consisting of the respective structure combined with the "Presence/Absence" property.

The property is categorical allowing 2 states: present/absent

These states should also be added to the CDM default terms

Note: In the additivity ontology CDM data base we already imported those terms from the TDWG terms wiki:

e https://terms.tdwg.org/wiki/ft:absent
e https://terms.tdwg.org/wiki/ft:present

So this ticket may be seen as obsolete if we do not want to add those terms to the default terms.

Related issues:
Blocks EDIT - feature request #8178: Auto-create absence/presence character f...

Rejected

Associated revisions

Revision b0a48ddf - 08/23/2019 11:17 AM - Andreas Miiller

ref #8180 Add Presence state vocabulary to default terms

Revision 749e8fb4 - 08/23/2019 02:08 PM - Andreas Miiller
ref #8180 Add vocabulary to test data

Revision 03335762 - 08/23/2019 02:25 PM - Andreas Miiller
ref #8180 fix incorrect UUID in test data

Revision 0a788123 - 08/23/2019 02:35 PM - Andreas Miiller
ref #8180 ... and update test data in other projects

Revision b3fbf38e - 08/23/2019 02:51 PM - Andreas Miiller
ref #8180 ... and again try to fix the test data

History

#1 - 03/15/2019 09:21 AM - Patrick Plitzner

- Blocks feature request #8178: Auto-create absence/presence character for every structure added

#2 - 03/22/2019 06:28 PM - Andreas Miiller
- Status changed from New to In Progress

- Priority changed from New to Highest

#3 - 04/12/2019 12:54 PM - Andreas Miuller

- Target version changed from Release 5.6 to Release 5.7

#4 - 05/03/2019 02:57 PM - Andreas Miiller
- Target version changed from Release 5.7 to Release 5.8

#5 - 07/19/2019 03:31 PM - Andreas Miiller

- Target version changed from Release 5.8 to Release 5.9

#6 - 07/22/2019 02:42 PM - Patrick Plitzner
- Description updated

- Status changed from In Progress to Feedback

#7 - 07/26/2019 01:31 PM - Andreas Miuller

Hallo,
ich sehe gerade das folgende Terme doppelt vorkommen in der Ontologie:

"REPLACE (uri, 'https://terms.tdwg.org/wiki/ft:',")"
"absent"
"aestivation"
"aging"
"divisions"
"False"
"folding"
"generative"
"presence”
"present”
"series"
"smell"
"vernation"

Gibt es dafiir einen Grund? Ich halte es flir problematisch, wenn Terme mit gleichem Identifier (URI) in unterschiedlichen Vokabularen gespeichert
werden. Da stimmt dann tendenziell was nicht. Allerdings miissen wir in diesem Zusammenhang vielleicht nochmal besprechen, was unsere
Vokabulare in diesem Fall fir eine Semantik haben.

Das scheint mir sogar eine sehr grunséatzliche Frage im Bezug auf Terme, die aus externen Vokabularen kommen. Es ist noch ungeklart, was wir
machen, wenn wir nur einzelne Terme aus solchen Vokabularen ins CDM tbernehmen wollen. Im CDM gehéren Terme ja obligat zu einem
Vokabular, so dass das schwierig wird.

Das mussen wir weiter diskutieren. Dafir wiirde ich zun&chst aber erstmal die Duplikate verstehen wollen und ob diese richtig verwendet wurden.

Viele Gruf3e,
Andreas M.

P.S: Besonders wichtig ist hier der Fall present/absent der ja einen Spezialfall darstellt, der extrem h&ufig verwendet wird (zumindest im Hintergrund).
Da ist auf jeden Fall notwendig zu kl&ren, ob die Terme, die sowohl im Presence Vokabular als auch im Quantity Vokabular vorkommen das gleiche
bedeuten und man sie beide braucht.

#8 - 07/26/2019 01:46 PM - Andreas Miuller

Query for above request:

SELECT REPLACE (uri, 'https://terms.tdwg.org/wiki/ft:',"'")
FROM DefinedTermBase dtb

WHERE dtb.uri IS NOT NULL

GROUP BY dtb.uri

HAVING COUNT (*) > 1

#9 - 07/26/2019 01:50 PM - Andreas Miiller
- Status changed from Feedback to In Progress

- Target version changed from Release 5.9 to Release 5.10

As the current solution works for additivity maybe we should postpone creating the two new terms until the above question is answered and until we
better know how to handle terms from external vocabularies in CDM.

At least as long as we have not decided to replace the current terms by pure CDM terms with the same meaning (maybe the current "presence”
vocabulary is meant to be something like this but then the term uris are not correct)

#10 - 08/16/2019 09:55 PM - Andreas Miiller

- Target version changed from Release 5.10 to Release 5.9

#11 - 08/26/2019 08:43 AM - Andreas Miuiller
- Status changed from In Progress to Resolved
- Assignee changed from Andreas Miller to Patrick Plitzner

- % Done changed from 0 to 50

#12 - 08/28/2019 04:51 PM - Patrick Plitzner
- Status changed from Resolved to Closed
- Assignee changed from Patrick Plitzner to Andreas Mliller

- % Done changed from 50 to 100

Terms and vocabulary are available in the taxeditor and replace possible existing presence/absence terms.
